from engine import Randomness

class Character:
	"""
	Dummy superclass so that we can determine which items are characters using issubclass()
	"""
	def Fight(self, opponent):
		"""
		When fighting this is called every frame.
		It determines now many points to take off ourselves given some random eventuality of them hitting us.
		"""
		# if they're dead, don't worry about them.
		if self.strength >= 0 and opponent.strength >= 0:
			if opponent.position[0] < self.position[0]:
				self.Animate("hitl")
			else:
				self.Animate("hitr")
			
			Randomness.seed()
			# see if the opponent hit me.
			# there should only be a hit every so often
			if Randomness.randint(0, 20) == 17:
				self.strength -= opponent.strength / max(1, self.plating)
				
