from engine.Entity import Entity
from resources import Items
from resources.gfx import fish
import random
from Item import Item

class Fish(Entity, Item):
	"""
	A fish of knowledge
	"""
	def __init__(self, parent, x, y):
		Entity.__init__(self, parent)
		characteristics = random.choice(Items.food)
		self.AddAnimation("fish", fish.pufferdata, [self.Normalise])
		self.Animate("fish")
		
                self.scale = 0.03
                self.position = [x, y]
		
                self.Rescale()
		
		# set the action that this thing performs
		self.description = "        A fish of knowledge"
		self.Action = lambda x, y: x.KnowAll()
		self.usetext = "You feel enlightened"
		self.amount = 0
		self.istext = ""
		
	def Update(self):
		self.Rescale()
