from engine.Entity import Entity
from resources import Items
from engine import Randomness
from resources.gfx import diskette
import random
from Item import Item

class Disk(Entity, Item):
	"""
	A disk with a poem on it
	"""
	def __init__(self, parent, x, y):
		Entity.__init__(self, parent)
		self.AddAnimation("disk", diskette.pufferdata, [self.Normalise])
		self.Animate("disk")
		
                self.scale = 0.02
                self.position = [x, y]
		
                self.Rescale()
		
		pfile = file("resources/basho.txt")
		poem = pfile.readlines()
		pfile.close()

		which = Randomness.randint(0, len(poem) - 3) / 3
		
		poem = poem[which * 3:(which * 3) + 3]

		poem = [p[:-1] for p in poem]
		
		# set the action that this thing performs
		self.description = "A diskette"
		self.Action = lambda x, y: x.Poem()
		self.usetext = poem
		self.amount = 0
		self.istext = ""
		self.ReplaceColor([200, 200, 200], Randomness.choice([[200, 0, 0], [0, 200, 0], [0, 0, 200], [200, 200, 0], [0, 200, 200]]))
	
	def Update(self):
		self.Rescale()
